<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <% include _head %>
    <link rel="stylesheet" type="text/css" href="/css/classes.css">
    <link rel="stylesheet" type="text/css" href="/css/parcours.css">
    <script src="https://unpkg.com/feather-icons"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui-touch-punch/0.2.3/jquery.ui.touch-punch.min.js"></script>
</head>
<body class="container" onload="loadProgressBar('<%=JSON.stringify(stepsDone)%>','<%=JSON.stringify(stepsNotDone)%>','<%=JSON.stringify(stepHistory)%>')">
<% include _loading %>
<% include _topbarParcours %>

<div class="jumbotron">
    <h2 class="display-5">Élève :<span class="text-info"><%=eleve.nom%></span></h2>
    <div class="">
        <h2 class="display-5 col-md-9 col-lg-9">Sommaire Parcours :<span class="text-info"><%=parcours.nom%></span></h2>
        <a href="/runParcours/<%=eleve.id%>/<%=parcours.nom%>" class="btn btn-info ">Lancer Parcours ▶</a>
        <% if (Object.keys(stepHistory).length) {%>
            <button class="btn btn-info " onclick="ui_parcours.resetParcoursForStudent()">Ré-initialiser parcours <span class="">⟳</span></button>
        <%}%>
    </div>
    <div class="col-12" role="tablist">
        <%
        var stepsDoneCounter = 0;
        if((listeExos) !== undefined) {
            var prefixId = 'id-';
        %>
        <% for(var globalCounter = 0; globalCounter < parcoursSteps.length; globalCounter++) {
            var imageExo = listeExos[globalCounter].image;
            var stepLineWidth = 'col-12';
            var stepTypeLabel = 'Obligatoire';
            var stepTypeLabelColor = 'darkred';
            if (parcoursSteps[globalCounter].type==='remediation') {
                stepLineWidth = 'col-11 ml-auto';
                stepTypeLabel = 'Remédiation';
                stepTypeLabelColor = '#3db5e3';
            }
            if (listeExos[globalCounter].stateId === 3){
                prefixId = 'unplugged';
                const activityForm = JSON.parse(listeExos[globalCounter].exercice);
                imageExo = activityForm.gameImage;
            }
        %>
        <% if(stepsDoneCounter<(stepHistory.length)) { %>
        <% if(stepsDoneId.includes(parseInt(parcoursSteps[globalCounter].id))){ %>
                <% try{
                if (stepHistory[stepsDoneCounter].evaluation===2){ %>
                <span class="classe list-group-item list-group-item-action <%=stepLineWidth%>" data-bs-toggle="list" href="#" role="tab" style="background-color: lightgreen">Étape : <%= parcoursSteps[globalCounter].number %><strong class="ml-5 col-sm-1"><%= parcoursSteps[globalCounter].fullName %></strong>
                    <img class="col-1 float-right" src="<%= imageExo %>">
                    <span class="float-right"><span class="mr-5"><%= parcoursSteps[globalCounter].niveau %></span><span class="mr-5" style="color: <%=stepTypeLabelColor%>"><%=stepTypeLabel%></span>
                        <globalCounter class="loupe" data-feather="search" aria-label="<%= imageExo %>" data-toggle="modal" data-target="#<%=prefixId%><%=listeExos[globalCounter].id%>"></globalCounter></span>
                </span>
                <%} else if (stepHistory[stepsDoneCounter].evaluation===0 || stepHistory[globalCounter].evaluation===1){ %>
                <span class="classe list-group-item list-group-item-action <%=stepLineWidth%>" data-bs-toggle="list" href="#" role="tab" style="background-color: lightpink">Étape : <%= parcoursSteps[globalCounter].number %><strong class="ml-5 col-sm-1"><%= parcoursSteps[globalCounter].fullName %></strong>
                    <img class="col-1 float-right" src="<%= imageExo %>">
                    <span class="float-right"><span class="mr-5"><%= parcoursSteps[globalCounter].niveau %></span><span class="mr-5" style="color: <%=stepTypeLabelColor%>"><%=stepTypeLabel%></span>
                        <i class="loupe" data-feather="search" aria-label="<%= imageExo %>" data-toggle="modal" data-target="#<%=prefixId%><%=listeExos[globalCounter].id%>"></i></span>
                </span>
                <%} } catch(e){console.log(e);}
                }
                else {%>
            <span class="classe list-group-item list-group-item-action <%=stepLineWidth%>" data-bs-toggle="list" href="#" role="tab">Étape : <%= parcoursSteps[globalCounter].number %><strong class="ml-5 col-sm-1"><%= parcoursSteps[globalCounter].fullName %></strong>
            <img class="col-1 float-right" src="<%= imageExo %>">
            <span class="float-right"><span class="mr-5"><%= parcoursSteps[globalCounter].niveau %></span>
                <span class="mr-5" style="color: <%=stepTypeLabelColor%>"><%=stepTypeLabel%></span>
                <i class="loupe" data-feather="search" aria-label="<%= imageExo %>" data-toggle="modal" data-target="#<%=prefixId%><%=listeExos[globalCounter].id%>"></i></span>
        </span>
            <%}%>
        <%}  else {%>
        <span class="classe list-group-item list-group-item-action <%=stepLineWidth%>" data-bs-toggle="list" href="#" role="tab">Étape : <%= parcoursSteps[globalCounter].number %><strong class="ml-5 col-sm-1"><%= parcoursSteps[globalCounter].fullName %></strong>
            <img class="col-1 float-right" src="<%= imageExo %>">
            <span class="float-right"><span class="mr-5"><%= parcoursSteps[globalCounter].niveau %></span>
                <span class="mr-5" style="color: <%=stepTypeLabelColor%>"><%=stepTypeLabel%></span>
                <i class="loupe" data-feather="search" aria-label="<%= imageExo %>" data-toggle="modal" data-target="#<%=prefixId%><%=listeExos[globalCounter].id%>"></i></span>
        </span>
        <%}%>
        <!--  Création des modals si c'est une activité débranchée ou externe -->
        <%if (listeExos[globalCounter].stateId === 3) {
            const activityForm = JSON.parse(listeExos[globalCounter].exercice);%>
        <div class="modal fade" id="unplugged<%=listeExos[globalCounter].id%>" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <img class="col-2" src="<%=activityForm.gameImage%>">
                        <h5 class="modal-title"><%=listeExos[globalCounter].level%></h5>
                        <a class="closeButton" href="#" data-dismiss="modal">Ⓧ</a>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="form-group row">
                                <label class="col-3 col-form-label">Nom de l'activité</label>
                                <input type="text" class="col-8 form-control" role="name" readonly="readonly" value="<%=activityForm.name;%>">
                            </div>
                            <div class="form-group row">
                                <label class="col-3 col-form-label"><%=activityForm.inputLabel%></label>
                                <textarea type="text" class="col-8 form-control" role="consigne" readonly="readonly"><%=activityForm.consigne%></textarea>
                            </div>
                            <div class="form-group row">
                                <label class="col-3 col-form-label">Description</label>
                                <textarea type="text" class="col-8 form-control" role="description" readonly="readonly"><%=activityForm.description%></textarea>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer"></div>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                </div>
            </div>
        </div>
        <%} else {%>
        <div class="modal fade" id="<%=prefixId%><%=listeExos[globalCounter].id%>" aria-labelledby="<%=listeExos[globalCounter].id%>Label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="<%=listeExos[globalCounter].gameId%>Niv<%=listeExos[globalCounter].level%>Label"><%=listeExos[globalCounter].gameName%> - Niveau<%=listeExos[globalCounter].level%></h5>
                                    <i data-dismiss="modal" data-feather="x-octagon"></i>
                                </div>
                                <div class="modal-body">
                                    <% if (parcoursSteps[globalCounter].consigne) {%>
                                    <img src="<%= imageExo %>" class="img-jeu-parcours"><div><%= __('description') %><%= parcoursSteps[globalCounter].consigne %>
                                    <%} else {%>
                                    <img src="<%= imageExo %>" class="img-jeu-parcours"><div><%= __('description') %><%= listeExos[globalCounter].description %>
                                    <% }%>
                                        </div>
                                </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                </div>
                            </div>
                        </div>
                    </div>
                <% } %><%
                if (stepsDoneId.includes(parseInt(parcoursSteps[globalCounter].id))) {
                    stepsDoneCounter++;
                }
        } %>
     <div class="text-info mt-5 text-center">Veuillez cliquer sur la loupe <i data-feather="search"></i> pour les infos de chaque niveau</div>
    </div>
            <% } %>

        <div><span style="background-color: lightgreen">▢</span> Étape réussie</div>
        <div><span style="background-color: lightpink">▢</span> Étape non réussie</div>
        <div><span style="background-color: whitesmoke">▢</span> Étape non réalisée</div>
    </div></div>
<script>feather.replace();</script>


</body>
<script type="text/javascript" src="/scripts/wrk/wrk.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_createclasse.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_classes.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_parcours.js"></script>
</html>